Tera (Online)

Informations

Creator Message
luyz25

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 43779
Wine: 5.7

Feedbacks

Description

MMORPG game, 2011. Wikipedia. Website.

Warning: this script compatibility is break as of 2020-06.

PCGamingWikiAppdb.winehq.org

Source code

#!/bin/bash --login
# Date : (2014-10-28 14:30)
# Last revision : see changelog
# Distribution used to test : Xubuntu 18.04 amd64 (kernel 5.3), GPU AMD.
# Author : MaxHeadroom2000 < at > gmail.com
# License : GNU/GPL v3
#
#
# CHANGELOG
# [luyz25] (2014-10-28 14:30)
#   Initial writing.
# [MaxHeadroom2000 < at > gmail.com] (2016-08-25 00:00)
#   Edits.
# [Dadu042] (2019-05-23)
#   Little improvements: Remove MD5 checkum of the downloader. Disable download. Update wine version. Disable xaudio.
# [Dadu042] (2020-06-08)
#   Wine 4.0.1 -> 4.0.4
#   Add POL_RequiredVersion
#
#
# KNOWN ISSUES :
# - Wine x86 4.0.1, 4.0.4, 4.21, 5.0, 5.7: and the end of its installation, the Tera installer v1.1 (files date: 2019-05-16) does crash (but stay open in the task bar). Tried: + POL_Install_vcrun2010
#
# KNOWN ISSUES (FIXED):

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
   
TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="see changelog"
WORKING_WINE_VERSION="5.7"
 
# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724
   
# Starting debugging API
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
   
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
# Create TMP directory
POL_System_TmpCreate "$PREFIX"
   
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Fix Installer crash (2016)
Set_OS "win7"
 
# Isolation
POL_Install_PrivateUserDirs

  
#######################################
#  Installing mandatory dependencies  #
#######################################
        
POL_Call POL_Install_d3dx9_43
POL_Call POL_Install_d3dcompiler_43

# POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
   
# Needed for Tera game
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_vcrun2013

# Was in 2016, function unknown as of 2019-05-22
# POL_Call POL_Install_xaudio
  
# Make game run (graphics), 2016
# POL_Wine_Direct3D "UseGLSL" "enabled"
# POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
# POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
# POL_Wine_Direct3D "Multisampling" "disabled"
# POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
 
# Installing mandatory dependencies
POL_Call POL_Install_winhttp

#######################################
#  Main part of this script           #
#######################################

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "https://eme01.enmasse-game.com/installers/eme/EnMasse-Minimal-Installer.exe"
        SETUP_EXE="$PWD/EnMasse-Minimal-Installer.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
 
# Run the installer
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$SETUP_EXE"
# POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
 
  
# Fix The Mouse Bug (2016)
# cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
# mv S1Engine.ini S1Engine.ini.bkp
#
# URL down as of 2019-05-22:
# POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
   
# Deleting temp files
POL_System_TmpDelete
  
# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online" "" "" "Game;RolePlaying;"
   
# Closing POL
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
terryc Monday 14 June 2021 at 9:53
terryc Anonymous

Message

Sorry, but I think you will find this installer is completely cactus now.

Enmasse  sold the game to Gameforge in the later half of 2020 and allthe gameforge system.

So the installer is going to need to be modified to reflect this,

I'm hjappy to assist with testing.

Replies

Dadu042 Monday 8 June 2020 at 17:44
Dadu042

Information

This update has been approved by the team.

Message

Tera installer does crash at the end.

Differences

@@ -1,121 +1,138 @@
 #!/bin/bash --login
 # Date : (2014-10-28 14:30)
-# Last revision : (2016-08-25 00:00)
-# Wine version used : 1.9.17-staging
-# Distribution used to test : Ubuntu 16.04
+# Last revision : see changelog
+# Distribution used to test : Xubuntu 18.04 amd64 (kernel 5.3), GPU AMD.
 # Author : MaxHeadroom2000 < at > gmail.com
 # License : GNU/GPL v3
 #
-# Changelog:
-# 2019 Dadu042: little improvements. Remove MD5 checkum of the downloader. Disable download. Update wine version. Disable xaudio.
-# 2016 MaxHeadroom2000 < at > gmail.com: edits.
-# ...
-  
+#
+# CHANGELOG
+# [luyz25] (2014-10-28 14:30)
+#   Initial writing.
+# [MaxHeadroom2000 < at > gmail.com] (2016-08-25 00:00)
+#   Edits.
+# [Dadu042] (2019-05-23)
+#   Little improvements: Remove MD5 checkum of the downloader. Disable download. Update wine version. Disable xaudio.
+# [Dadu042] (2020-06-08)
+#   Wine 4.0.1 -> 4.0.4
+#   Add POL_RequiredVersion
+#
+#
+# KNOWN ISSUES :
+# - Wine x86 4.0.1, 4.0.4, 4.21, 5.0, 5.7: and the end of its installation, the Tera installer v1.1 (files date: 2019-05-16) does crash (but stay open in the task bar). Tried: + POL_Install_vcrun2010
+#
+# KNOWN ISSUES (FIXED):
+
 [ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
-  
+   
 TITLE="Tera Online"
 PREFIX="TERA"
 EDITOR="EN MASSE Entertainment"
 GAME_URL="http://tera.enmasse.com/"
-AUTHOR="MaxHeadroom2000, Dadu042."
-WORKING_WINE_VERSION="4.0.1"
-
+AUTHOR="see changelog"
+WORKING_WINE_VERSION="5.7"
+ 
 # Starting the script
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 1724
-  
+   
 # Starting debugging API
 POL_Debug_Init
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-  
+
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-  
+   
 # Downloading wine if necessary and creating prefix
 POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-  
+   
 # Create TMP directory
 POL_System_TmpCreate "$PREFIX"
-  
+   
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
-  
+   
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
-
+ 
 # Fix Installer crash (2016)
 Set_OS "win7"
-
+ 
 # Isolation
 POL_Install_PrivateUserDirs
 
-# Install mandatory dependencies
-# Needed for Tera launcher
-POL_Call POL_Install_d3dx9
+  
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+	
+POL_Call POL_Install_d3dx9_43
+POL_Call POL_Install_d3dcompiler_43
+
+# POL_Call POL_Install_d3dx9
 POL_Call POL_Install_corefonts
 POL_Call POL_Install_xact
-  
+   
 # Needed for Tera game
+POL_Call POL_Install_vcrun2010
 POL_Call POL_Install_vcrun2013
-#
-# Was in 2016, function unknown as of 2019-05-22
+
+# Was in 2016, function unknown as of 2019-05-22
 # POL_Call POL_Install_xaudio
- 
-# Make game run (graphics)
+  
+# Make game run (graphics), 2016
 # POL_Wine_Direct3D "UseGLSL" "enabled"
 # POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
 # POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
 # POL_Wine_Direct3D "Multisampling" "disabled"
 # POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
-
+ 
 # Installing mandatory dependencies
 POL_Call POL_Install_winhttp
 
-# Choose between install from local client or use already downloaded client
-# POL_SetupWindow_InstallMethod "LOCAL,SKIP"
-
-POL_SetupWindow_InstallMethod "LOCAL"
-
-# Downloading client or choosing existing one
-mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-
-# Disable the autodownload option because the (old) file hosted is dated of 2017.
-#
-# POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
-#if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
-#        # Downloading client
-#        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-#        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe"
-#        SETUP_EXE="$PWD/TERA-Setup.exe"
-#else
+#######################################
+#  Main part of this script           #
+#######################################
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
+        # Downloading client
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
+        POL_Download "https://eme01.enmasse-game.com/installers/eme/EnMasse-Minimal-Installer.exe"
+        SETUP_EXE="$PWD/EnMasse-Minimal-Installer.exe"
+else
         # Asking for client exe
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
         SETUP_EXE="$APP_ANSWER"
-#fi
-
+fi
+ 
 # Run the installer
 POL_Wine_WaitBefore "$TITLE"
 POL_Wine start /unix "$SETUP_EXE"
-# POL_Wine $SETUP_EXE
+# POL_Wine $SETUP_EXE
 POL_Wine_WaitExit "$TITLE"
-
  
+  
 # Fix The Mouse Bug (2016)
 # cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
-# mv S1Engine.ini S1Engine.ini.bkp
+# mv S1Engine.ini S1Engine.ini.bkp
 #
-# URL down as of 2019-05-22:
-# POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
-  
+# URL down as of 2019-05-22:
+# POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
+   
 # Deleting temp files
 POL_System_TmpDelete
- 
-# Making shortcut
-POL_Shortcut "TERA-Launcher.exe" "Tera Online"
   
-#Closing POL
+# Making shortcut
+POL_Shortcut "TERA-Launcher.exe" "Tera Online" "" "" "Game;RolePlaying;"
+   
+# Closing POL
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash --login
# Date : (2014-10-28 14:30)
# Last revision : see changelog
# Distribution used to test : Xubuntu 18.04 amd64 (kernel 5.3), GPU AMD.
# Author : MaxHeadroom2000 < at > gmail.com
# License : GNU/GPL v3
#
#
# CHANGELOG
# [luyz25] (2014-10-28 14:30)
#   Initial writing.
# [MaxHeadroom2000 < at > gmail.com] (2016-08-25 00:00)
#   Edits.
# [Dadu042] (2019-05-23)
#   Little improvements: Remove MD5 checkum of the downloader. Disable download. Update wine version. Disable xaudio.
# [Dadu042] (2020-06-08)
#   Wine 4.0.1 -> 4.0.4
#   Add POL_RequiredVersion
#
#
# KNOWN ISSUES :
# - Wine x86 4.0.1, 4.0.4, 4.21, 5.0, 5.7: and the end of its installation, the Tera installer v1.1 (files date: 2019-05-16) does crash (but stay open in the task bar). Tried: + POL_Install_vcrun2010
#
# KNOWN ISSUES (FIXED):

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
   
TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="see changelog"
WORKING_WINE_VERSION="5.7"
 
# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724
   
# Starting debugging API
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
   
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
# Create TMP directory
POL_System_TmpCreate "$PREFIX"
   
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Fix Installer crash (2016)
Set_OS "win7"
 
# Isolation
POL_Install_PrivateUserDirs

  
#######################################
#  Installing mandatory dependencies  #
#######################################
        
POL_Call POL_Install_d3dx9_43
POL_Call POL_Install_d3dcompiler_43

# POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
   
# Needed for Tera game
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_vcrun2013

# Was in 2016, function unknown as of 2019-05-22
# POL_Call POL_Install_xaudio
  
# Make game run (graphics), 2016
# POL_Wine_Direct3D "UseGLSL" "enabled"
# POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
# POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
# POL_Wine_Direct3D "Multisampling" "disabled"
# POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
 
# Installing mandatory dependencies
POL_Call POL_Install_winhttp

#######################################
#  Main part of this script           #
#######################################

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "https://eme01.enmasse-game.com/installers/eme/EnMasse-Minimal-Installer.exe"
        SETUP_EXE="$PWD/EnMasse-Minimal-Installer.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
 
# Run the installer
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$SETUP_EXE"
# POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
 
  
# Fix The Mouse Bug (2016)
# cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
# mv S1Engine.ini S1Engine.ini.bkp
#
# URL down as of 2019-05-22:
# POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
   
# Deleting temp files
POL_System_TmpDelete
  
# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online" "" "" "Game;RolePlaying;"
   
# Closing POL
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Wednesday 22 May 2019 at 9:00
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Read changelog in the begin of the script.

Script need standardization: http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization

Differences

@@ -19,8 +19,8 @@
 EDITOR="EN MASSE Entertainment"
 GAME_URL="http://tera.enmasse.com/"
 AUTHOR="MaxHeadroom2000, Dadu042."
-WORKING_WINE_VERSION="4.0"
-  
+WORKING_WINE_VERSION="4.0.1"
+
 # Starting the script
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 1724

New source code

#!/bin/bash --login
# Date : (2014-10-28 14:30)
# Last revision : (2016-08-25 00:00)
# Wine version used : 1.9.17-staging
# Distribution used to test : Ubuntu 16.04
# Author : MaxHeadroom2000 < at > gmail.com
# License : GNU/GPL v3
#
# Changelog:
# 2019 Dadu042: little improvements. Remove MD5 checkum of the downloader. Disable download. Update wine version. Disable xaudio.
# 2016 MaxHeadroom2000 < at > gmail.com: edits.
# ...
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="MaxHeadroom2000, Dadu042."
WORKING_WINE_VERSION="4.0.1"

# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724
  
# Starting debugging API
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Create TMP directory
POL_System_TmpCreate "$PREFIX"
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Fix Installer crash (2016)
Set_OS "win7"

# Isolation
POL_Install_PrivateUserDirs

# Install mandatory dependencies
# Needed for Tera launcher
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
  
# Needed for Tera game
POL_Call POL_Install_vcrun2013
#
# Was in 2016, function unknown as of 2019-05-22
# POL_Call POL_Install_xaudio
 
# Make game run (graphics)
# POL_Wine_Direct3D "UseGLSL" "enabled"
# POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
# POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
# POL_Wine_Direct3D "Multisampling" "disabled"
# POL_Wine_Direct3D "StrictDrawOrdering" "enabled"

# Installing mandatory dependencies
POL_Call POL_Install_winhttp

# Choose between install from local client or use already downloaded client
# POL_SetupWindow_InstallMethod "LOCAL,SKIP"

POL_SetupWindow_InstallMethod "LOCAL"

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"

# Disable the autodownload option because the (old) file hosted is dated of 2017.
#
# POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
#if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
#        # Downloading client
#        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
#        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe"
#        SETUP_EXE="$PWD/TERA-Setup.exe"
#else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
#fi

# Run the installer
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$SETUP_EXE"
# POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"

 
# Fix The Mouse Bug (2016)
# cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
# mv S1Engine.ini S1Engine.ini.bkp
#
# URL down as of 2019-05-22:
# POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
  
# Deleting temp files
POL_System_TmpDelete
 
# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"
  
#Closing POL
POL_SetupWindow_Close
exit 0

Replies

Edited by Dadu042

terryc Saturday 17 November 2018 at 8:47
terryc Anonymous

Message

This always fails on MD5 mismatch of downloaed install file.

Replies

troyfoxxin Wednesday 11 January 2017 at 11:23
troyfoxxin Anonymous

Message

[01/11/17 05:14:48] - Running wine-1.7.17 --version (Working directory : /usr/share/playonlinux/python)
wine-1.7.17

PlayOnLinux logfile
-------------------
Date: 01/11/17 05:14:48

> PlayOnLinux Version
  4.2.10
> uname -a
  Linux troy-VPCEH12FX 4.4.0-53-generic #74-Ubuntu SMP Fri Dec 2 15:59:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
> lsb_release -a
  
> wine --version
  wine-1.7.17
> POL_WINEVERSION
  1.7.17
> WINEPREFIX
  /home/troy/.PlayOnLinux//wineprefix/TERA
> Distribution
  Linux Mint 18.1 Serena
> glxinfo \| grep rendering
  direct rendering: Yes
> glxinfo \| grep renderer
      GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile 
> OpenGL libs (Direct rendering testing)
  check_dd_x86 missing, test skipped
  check_dd_amd64 missing, test skipped

[01/11/17 05:15:01] - Running wine-1.7.17 cmd /c echo %ProgramFiles% (Working directory : /usr/share/playonlinux/python)
C:\Program Files
[01/11/17 05:15:09] - Running wine-1.7.17 regedit /home/troy/.PlayOnLinux//tmp/regkey.reg (Working directory : /usr/share/playonlinux/python)
[01/11/17 05:15:09] - Content of /home/troy/.PlayOnLinux//tmp/regkey.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\Direct3D]
"VideoMemorySize"="1024"
-----------
[01/11/17 05:15:09] - Running wine-1.7.17 regedit /home/troy/.PlayOnLinux//tmp/VGA_ID_fix.reg (Working directory : /usr/share/playonlinux/python)
[01/11/17 05:15:09] - Content of /home/troy/.PlayOnLinux//tmp/VGA_ID_fix.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\Direct3D]
"VideoPCIVendorID"=dword:00008086
"VideoPCIDeviceID"=dword:00000116
"VideoDriver"="ig4icd32.dll"
-----------
[01/11/17 05:15:10] - ----- Starting function POL_Install_winhttp -----
[01/11/17 05:15:12] - Running wine-1.7.17 regedit /home/troy/.PlayOnLinux//tmp/override-dll.reg (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/windows/temp)
[01/11/17 05:15:12] - Content of /home/troy/.PlayOnLinux//tmp/override-dll.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\DllOverrides]
"*winhttp"="native, builtin"
-----------
[01/11/17 05:15:12] - ----- Ending function POL_Install_winhttp -----
[01/11/17 05:15:52] - Running wine-1.7.17 start /unix /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA/TERA-Setup.exe (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drifixme:storage:create_storagefile Storage share mode not implemented.
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
fixme:apphelp:ApphelpCheckInstallShieldPackage stub: 0x33f1ec L"C:\\users\\troy\\Temp\\{BFCB8039-4912-4B11-A77A-2D6FA07A6F26}\\Disk1\\data1.hdr"
fixme:explorerframe:taskbar_list_SetProgressState iface 0xde55e0, hwnd 0x20048, flags 2 stub!
fixme:explorerframe:taskbar_list_SetProgressValue iface 0xde55e0, hwnd 0x20048, ullCompleted 1, ullTotal 64 stub!
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:shell:IShellLinkW_fnGetPath (0xe0b8d0): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe0b8d0): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe0b998): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe0b998): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe02610): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe02610): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe06140): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe06140): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe04df0): WIN32_FIND_DATA is not yet filled.
fixme:shell:IShellLinkW_fnGetPath (0xe04df0): WIN32_FIND_DATA is not yet filled.
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:vbscript:VBScript_SetScriptState unimplemented SCRIPTSTATE_INITIALIZED
fixme:vbscript:do_icall L"Wscript" not found
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
err:setupapi:do_file_copyW Unsupported style(s) 0x144
err:setupapi:do_file_copyW Unsupported style(s) 0x144
err:setupapi:do_file_copyW Unsupported style(s) 0x144
err:setupapi:do_file_copyW Unsupported style(s) 0x144
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"ReleaseDate" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"Genres" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"Ratings" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"Version" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"SavedGames" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"WindowsSystemPerformanceRating" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"Developers" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"Publishers" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"GameExecutables" in Game Definition File not yet supported
fixme:gameux:GAMEUX_ProcessGameDefinitionElement entry L"ExtendedProperties" in Game Definition File not yet supported
[01/11/17 05:17:18] - Running wine-1.7.17 winepath -u C:\\users\\troy\\Desktop (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA)
/home/troy/.PlayOnLinux//wineprefix/TERA/dosdevices/c:/users/troy/Desktop
[01/11/17 05:20:52] - Running wine-1.7.17 TERA-Launcher.exe (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA)
[0111/052053:ERROR:network_change_notifier_win.cc(111)] WSALookupServiceBegin failed with: 8
[0111/052057:FATAL:x509_certificate_win.cc(1109)] Check failed: oid_info. : Success.
wine: Unhandled exception 0x80000003 in thread 37 at address 0x1045a910 (thread 0037), starting debugger...
[01/11/17 05:22:01] - Running wine-1.7.17 TERA-Launcher.exe (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA)
[0111/052202:ERROR:network_change_notifier_win.cc(111)] WSALookupServiceBegin failed with: 8
[0111/052204:FATAL:x509_certificate_win.cc(1109)] Check failed: oid_info. : Success.
wine: Unhandled exception 0x80000003 in thread 3a at address 0x1045a910 (thread 003a), starting debugger...
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
[01/11/17 05:22:29] - Running wine-1.7.17 TERA-Launcher.exe (Working directory : /home/troy/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA)
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:iphlpapi:NotifyAddrChange (Handle 0x32cbbc, overlapped 0xeeb060): stub
fixme:winsock:WSALookupServiceBeginW (0x32cc68 0x00000ff0 0x32cca4) Stub!
[0111/052230:ERROR:network_change_notifier_win.cc(111)] WSALookupServiceBegin failed with: 8
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
[0111/052233:FATAL:x509_certificate_win.cc(1109)] Check failed: oid_info. : Success.
wine: Unhandled exception 0x80000003 in thread 36 at address 0x1045a910 (thread 0036), starting debugger...
0x1045a910: int    $3
Modules:
Module    Address            Debug info    Name (141 modules)
PE      400000-  4b7000    Deferred        tera-launcher
PE    10000000-113b2000    Export          libcef
PE    4ad00000-4b681000    Deferred        icudt
ELF    7b800000-7ba4b000    Deferred        kernel32<elf>
  \-PE    7b810000-7ba4b000    \               kernel32
ELF    7bc00000-7bcd0000    Dwarf           ntdll<elf>
  \-PE    7bc10000-7bcd0000    \               ntdll
ELF    7bf00000-7bf03000    Deferred        <wine-loader>
ELF    7cdc9000-7ce38000    Deferred        d3dcompiler_43<elf>
  \-PE    7cdd0000-7ce38000    \               d3dcompiler_43
ELF    7ce38000-7ce4e000    Deferred        libgpg-error.so.0
ELF    7ce4e000-7cec3000    Deferred        libpcre.so.3
ELF    7cec3000-7cf72000    Deferred        libgcrypt.so.20
ELF    7cf72000-7cf98000    Deferred        liblzma.so.5
ELF    7cf98000-7cfbe000    Deferred        libselinux.so.1
ELF    7cfbe000-7d04c000    Deferred        libsystemd.so.0
ELF    7d04c000-7d0a6000    Deferred        libdbus-1.so.3
ELF    7d0a6000-7d132000    Deferred        libgmp.so.10
ELF    7d132000-7d167000    Deferred        libhogweed.so.4
ELF    7d167000-7d1a3000    Deferred        libnettle.so.6
ELF    7d1a3000-7d1b8000    Deferred        libtasn1.so.6
ELF    7d1b8000-7d1ec000    Deferred        libidn.so.11
ELF    7d1ec000-7d24d000    Deferred        libp11-kit.so.0
ELF    7d24d000-7d27e000    Deferred        libk5crypto.so.3
ELF    7d27e000-7d355000    Deferred        libkrb5.so.3
ELF    7d355000-7d369000    Deferred        libavahi-client.so.3
ELF    7d369000-7d4c1000    Deferred        libgnutls.so.30
ELF    7d4c1000-7d513000    Deferred        libgssapi_krb5.so.2
ELF    7d513000-7d59a000    Deferred        libcups.so.2
ELF    7d59d000-7d5a4000    Deferred        libnss_dns.so.2
ELF    7d5a4000-7d5bd000    Deferred        d3dx9_43<elf>
  \-PE    7d5b0000-7d5bd000    \               d3dx9_43
ELF    7d5bd000-7d6a3000    Deferred        comdlg32<elf>
  \-PE    7d5c0000-7d6a3000    \               comdlg32
ELF    7d6a3000-7d6e2000    Deferred        winspool<elf>
  \-PE    7d6b0000-7d6e2000    \               winspool
ELF    7d6e2000-7d704000    Deferred        imm32<elf>
  \-PE    7d6f0000-7d704000    \               imm32
ELF    7d704000-7d717000    Deferred        psapi<elf>
  \-PE    7d710000-7d717000    \               psapi
ELF    7d717000-7d758000    Deferred        usp10<elf>
  \-PE    7d720000-7d758000    \               usp10
ELF    7d758000-7d76b000    Deferred        msimg32<elf>
  \-PE    7d760000-7d76b000    \               msimg32
ELF    7d76b000-7d7d5000    Deferred        setupapi<elf>
  \-PE    7d780000-7d7d5000    \               setupapi
ELF    7d7d5000-7d801000    Deferred        netapi32<elf>
  \-PE    7d7e0000-7d801000    \               netapi32
ELF    7d801000-7d82f000    Deferred        secur32<elf>
  \-PE    7d810000-7d82f000    \               secur32
ELF    7d82f000-7d854000    Deferred        mpr<elf>
  \-PE    7d840000-7d854000    \               mpr
ELF    7d854000-7d96d000    Deferred        oleaut32<elf>
  \-PE    7d870000-7d96d000    \               oleaut32
ELF    7d96d000-7da00000    Deferred        urlmon<elf>
  \-PE    7d980000-7da00000    \               urlmon
ELF    7dd04000-7dd11000    Deferred        libkrb5support.so.0
ELF    7dd11000-7dd85000    Deferred        wininet<elf>
  \-PE    7dd20000-7dd85000    \               wininet
ELF    7dd85000-7ddbf000    Deferred        winhttp<elf>
  \-PE    7dd90000-7ddbf000    \               winhttp
ELF    7ddbf000-7dddc000    Deferred        libgcc_s.so.1
ELF    7dddf000-7dde8000    Deferred        libffi.so.6
ELF    7dde8000-7ddff000    Deferred        userenv<elf>
  \-PE    7ddf0000-7ddff000    \               userenv
ELF    7ddff000-7de18000    Deferred        cryptnet<elf>
  \-PE    7de00000-7de18000    \               cryptnet
ELF    7de18000-7de55000    Deferred        rsaenh<elf>
  \-PE    7de20000-7de55000    \               rsaenh
ELF    7de55000-7de88000    Deferred        uxtheme<elf>
  \-PE    7de60000-7de88000    \               uxtheme
ELF    7de88000-7df80000    Deferred        comctl32<elf>
  \-PE    7de90000-7df80000    \               comctl32
ELF    7df80000-7df99000    Deferred        libresolv.so.2
ELF    7df99000-7df9e000    Deferred        libkeyutils.so.1
ELF    7df9e000-7dfa3000    Deferred        libcom_err.so.2
ELF    7dfa3000-7dfbc000    Deferred        imagehlp<elf>
  \-PE    7dfb0000-7dfbc000    \               imagehlp
ELF    7dfbc000-7dfe0000    Deferred        iphlpapi<elf>
  \-PE    7dfc0000-7dfe0000    \               iphlpapi
ELF    7e026000-7e02d000    Deferred        libxfixes.so.3
ELF    7e02d000-7e038000    Deferred        libxcursor.so.1
ELF    7e038000-7e04b000    Deferred        libxi.so.6
ELF    7e04b000-7e04f000    Deferred        libxcomposite.so.1
ELF    7e04f000-7e05c000    Deferred        libxrandr.so.2
ELF    7e05c000-7e068000    Deferred        libxrender.so.1
ELF    7e068000-7e06f000    Deferred        libxxf86vm.so.1
ELF    7e06f000-7e073000    Deferred        libxinerama.so.1
ELF    7e073000-7e07a000    Deferred        libxdmcp.so.6
ELF    7e07a000-7e07e000    Deferred        libxau.so.6
ELF    7e07e000-7e0a4000    Deferred        libxcb.so.1
ELF    7e0a4000-7e1ef000    Deferred        libx11.so.6
ELF    7e1ef000-7e204000    Deferred        libxext.so.6
ELF    7e204000-7e212000    Deferred        libavahi-common.so.3
ELF    7e212000-7e225000    Deferred        sensapi<elf>
  \-PE    7e220000-7e225000    \               sensapi
ELF    7e227000-7e2b2000    Deferred        winex11<elf>
  \-PE    7e230000-7e2b2000    \               winex11
ELF    7e2b2000-7e2da000    Deferred        msacm32<elf>
  \-PE    7e2c0000-7e2da000    \               msacm32
ELF    7e2da000-7e354000    Deferred        rpcrt4<elf>
  \-PE    7e2f0000-7e354000    \               rpcrt4
ELF    7e354000-7e46a000    Deferred        ole32<elf>
  \-PE    7e370000-7e46a000    \               ole32
ELF    7e46a000-7e51d000    Deferred        winmm<elf>
  \-PE    7e470000-7e51d000    \               winmm
ELF    7e51d000-7e5e1000    Deferred        crypt32<elf>
  \-PE    7e530000-7e5e1000    \               crypt32
ELF    7e5e1000-7e614000    Deferred        wintrust<elf>
  \-PE    7e5f0000-7e614000    \               wintrust
ELF    7e614000-7e646000    Deferred        ws2_32<elf>
  \-PE    7e620000-7e646000    \               ws2_32
ELF    7e646000-7e6b6000    Deferred        shlwapi<elf>
  \-PE    7e650000-7e6b6000    \               shlwapi
ELF    7e6b6000-7e8d3000    Deferred        shell32<elf>
  \-PE    7e6c0000-7e8d3000    \               shell32
ELF    7e952000-7e97c000    Deferred        libexpat.so.1
ELF    7e97c000-7e9c5000    Deferred        libfontconfig.so.1
ELF    7e9c5000-7e9f0000    Deferred        libpng12.so.0
ELF    7e9f0000-7ea09000    Deferred        libz.so.1
ELF    7ea09000-7eab9000    Deferred        libfreetype.so.6
ELF    7eadc000-7eb42000    Deferred        advapi32<elf>
  \-PE    7eaf0000-7eb42000    \               advapi32
ELF    7eb42000-7ec50000    Deferred        gdi32<elf>
  \-PE    7eb50000-7ec50000    \               gdi32
ELF    7ec50000-7ed98000    Deferred        user32<elf>
  \-PE    7ec60000-7ed98000    \               user32
ELF    7ef98000-7efab000    Deferred        libnss_files.so.2
ELF    7efab000-7efb8000    Deferred        libnss_nis.so.2
ELF    7efb8000-7efd3000    Deferred        libnsl.so.1
ELF    7efd3000-7efdd000    Deferred        libnss_compat.so.2
ELF    7efe7000-7f000000    Deferred        version<elf>
  \-PE    7eff0000-7f000000    \               version
ELF    f7355000-f73aa000    Deferred        libm.so.6
ELF    f73aa000-f73af000    Deferred        libdl.so.2
ELF    f73af000-f7565000    Dwarf           libc.so.6
ELF    f7565000-f7582000    Dwarf           libpthread.so.0
ELF    f7587000-f7590000    Deferred        librt.so.1
ELF    f75a6000-f7759000    Dwarf           libwine.so.1
ELF    f775b000-f7780000    Deferred        ld-linux.so.2
ELF    f7782000-f7783000    Deferred        [vdso].so
Threads:
process  tid      prio (all id:s are in hex)
00000008 (D) C:\Program Files\TERA\TERA-Launcher.exe
    0000003a    0
    00000039    0
    00000038    0
    00000037    0
    00000036    0 <==
    00000035    0
    00000034    0
    00000033    0
    00000032    0
    00000031    0
    00000030    0
    0000002f    0
    0000002e    0
    0000002d    0
    0000002c    0
    0000002b    0
    0000002a    0
    00000029    0
    00000028    0
    00000027    0
    00000026    0
    00000024    0
    00000023    0
    00000022    0
    00000009    0
0000000e services.exe
    0000001d    0
    0000001c    0
    00000016    0
    00000014    0
    00000010    0
    0000000f    0
00000012 winedevice.exe
    0000001b    0
    00000018    0
    00000017    0
    00000013    0
00000019 plugplay.exe
    0000001f    0
    0000001e    0
    0000001a    0
00000020 explorer.exe
    00000021    0

Replies

dirk.hedlund Friday 26 August 2016 at 5:52
dirk.hedlund Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Okay, I don't really know what I'm doing, but I managed to make something work. I need some help with it, though.

I used the TERA-Minimal-Setup.exe from http://tera.enmasse.com/download.

To fix p11-kit: couldn't load module:
sudo apt-get install p11-kit-modules:i386

To fix ntlm_auth was not found or is outdated
sudo apt-get install winbind

And add the CA-Certificate as shown in the discussion below.

Everything works, but I'm having problems with the FPS. I can't get more than single digits, regardless of the graphics preferences. I'm sure I'm missing something obvious, but I don't know what it is.

Differences

@@ -1,76 +1,97 @@
-#!/bin/bash
-# Date : (2013-07-03 20:15)
-# Last Modification Date : (2014-11-04 21:18)
-# Wine version used : 1.7.17
-# Distribution used to test : Ubuntu 14.04 x64
-# Author : luyz25
-
-[ "$PLAYONLINUX" = "" ] && exit 0
+#!/bin/bash --login
+# Date : (2014-10-28 14:30)
+# Last revision : (2016-08-25 00:00)
+# Wine version used : 1.9.17-staging
+# Distribution used to test : Ubuntu 16.04
+# Author : MaxHeadroom2000 < at > gmail.com
+# License : GNU/GPL v3
+ 
+[ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
-
+ 
 TITLE="Tera Online"
 PREFIX="TERA"
 EDITOR="EN MASSE Entertainment"
 GAME_URL="http://tera.enmasse.com/"
-AUTHOR="luyz25"
-
+AUTHOR="MaxHeadroom2000"
+WORKING_WINE_VERSION="1.9.17-staging"
+ 
 # Starting the script
-POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 1724
-
+ 
 # Starting debugging API
 POL_Debug_Init
-
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-
-# Setting Wine Version
-WORKING_WINE_VERSION="1.7.17"
-
-# Setting arch
-POL_System_SetArch "x86"
-
+ 
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-
+ 
 # Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-
-# Choose between Downloading client or using local one
-POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
-
+ 
+# Create TMP directory
+POL_System_TmpCreate "$PREFIX"
+ 
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
-
+ 
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
-
-# Installing mandatory dependencies
-POL_Call POL_Install_winhttp
-
+ 
+# Fix Installer crash
+Set_OS "win7"
+ 
+# Isolation
+POL_Install_PrivateUserDirs
+ 
+# Install mandatory dependencies
+# Needed for Tera launcher
+POL_Call POL_Install_d3dx9
+POL_Call POL_Install_corefonts
+POL_Call POL_Install_xact
+ 
+# Needed for Tera game
+POL_Call POL_Install_xaudio
+POL_Call POL_Install_vcrun2013
+ 
+# Make game run
+#POL_Wine_Direct3D "UseGLSL" "enabled"
+#POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
+#POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
+#POL_Wine_Direct3D "Multisampling" "disabled"
+#POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
+ 
+# Choose between install from local client or use already downloaded client
+POL_SetupWindow_InstallMethod "LOCAL,SKIP"
+ 
 # Downloading client or choosing existing one
-mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
-        # Downloading client
-        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
-        SETUP_EXE="$PWD/TERA-Setup.exe"
-else
-        # Asking for client exe
-        cd "$HOME"
-        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
-        SETUP_EXE="$APP_ANSWER"
+if [ "$INSTALL_METHOD" == "LOCAL" ]; then
+    # Asking for client exe
+    cd "$HOME"
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+    SETUP_EXE="$APP_ANSWER"
+ 
+    # Run the install
+    POL_Wine_WaitBefore "$TITLE"
+    POL_Wine $SETUP_EXE
+    POL_Wine_WaitExit "$TITLE"
+elif [ "$INSTALL_METHOD" == "SKIP" ]; then
+    :
 fi
-POL_Wine start /unix "$SETUP_EXE"
-POL_Wine_WaitExit "$TITLE"
 
 # Fix The Mouse Bug
 cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
 mv S1Engine.ini S1Engine.ini.bkp
 POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
+ 
+# Deleting temp files
+POL_System_TmpDelete
 
 # Making shortcut
 POL_Shortcut "TERA-Launcher.exe" "Tera Online"
-
+ 
+#Closing POL
 POL_SetupWindow_Close
-exit 0
+exit 0
\ No newline at end of file

New source code

#!/bin/bash --login
# Date : (2014-10-28 14:30)
# Last revision : (2016-08-25 00:00)
# Wine version used : 1.9.17-staging
# Distribution used to test : Ubuntu 16.04
# Author : MaxHeadroom2000 < at > gmail.com
# License : GNU/GPL v3
 
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
 
TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="MaxHeadroom2000"
WORKING_WINE_VERSION="1.9.17-staging"
 
# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724
 
# Starting debugging API
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Create TMP directory
POL_System_TmpCreate "$PREFIX"
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Fix Installer crash
Set_OS "win7"
 
# Isolation
POL_Install_PrivateUserDirs
 
# Install mandatory dependencies
# Needed for Tera launcher
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
 
# Needed for Tera game
POL_Call POL_Install_xaudio
POL_Call POL_Install_vcrun2013
 
# Make game run
#POL_Wine_Direct3D "UseGLSL" "enabled"
#POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
#POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
#POL_Wine_Direct3D "Multisampling" "disabled"
#POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
 
# Choose between install from local client or use already downloaded client
POL_SetupWindow_InstallMethod "LOCAL,SKIP"
 
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
    # Asking for client exe
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SETUP_EXE="$APP_ANSWER"
 
    # Run the install
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine $SETUP_EXE
    POL_Wine_WaitExit "$TITLE"
elif [ "$INSTALL_METHOD" == "SKIP" ]; then
    :
fi

# Fix The Mouse Bug
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
mv S1Engine.ini S1Engine.ini.bkp
POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
 
# Deleting temp files
POL_System_TmpDelete

# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"
 
#Closing POL
POL_SetupWindow_Close
exit 0

Replies

nefelim4ag Monday 16 May 2016 at 11:42
nefelim4ag Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Only problem: POL_CALL POL_Install_vcrun2013 not work
Please install it by configuration menu

Tested with: http://www.tera-online.ru/

Differences

@@ -1,43 +1,38 @@
 #!/bin/bash
-# Date : (2013-07-03 20:15)
-# Last Modification Date : (2014-11-04 21:18)
-# Wine version used : 1.7.17
-# Distribution used to test : Ubuntu 14.04 x64
-# Author : luyz25
+# Date : (2014-10-28 14:30)
+# Last revision : (2016-05-16 00:00)
+# Wine version used : 1.9.9
+# Distribution used to test : Archlinux 2016-05
+# Author : Nefelim4ag < at > gmail.com
+# License : GNU/GPL v3
 
-[ "$PLAYONLINUX" = "" ] && exit 0
+[ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
 
 TITLE="Tera Online"
 PREFIX="TERA"
 EDITOR="EN MASSE Entertainment"
 GAME_URL="http://tera.enmasse.com/"
-AUTHOR="luyz25"
+AUTHOR="Nefelim4ag"
+WORKING_WINE_VERSION="1.9.9"
 
 # Starting the script
-POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 1724
 
 # Starting debugging API
 POL_Debug_Init
-
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
-# Setting Wine Version
-WORKING_WINE_VERSION="1.7.17"
-
-# Setting arch
-POL_System_SetArch "x86"
-
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
 
 # Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
-# Choose between Downloading client or using local one
-POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
+# Create TMP directory
+POL_System_TmpCreate "$PREFIX"
 
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
@@ -45,32 +40,54 @@
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
 
-# Installing mandatory dependencies
-POL_Call POL_Install_winhttp
+# Fix Installer crash
+Set_OS "winxp"
+
+# Isolation
+POL_Install_PrivateUserDirs
+
+# Install mandatory dependencies
+# Needed for Tera launcher
+POL_Call POL_Install_d3dx9
+POL_Call POL_Install_corefonts
+POL_Call POL_Install_xact
+
+# Needed for Tera game
+POL_Call POL_Install_xaudio
+
+# Why it's not install????
+POL_CALL POL_Install_vcrun2013
+
+POL_SetupWindow_message "PLEASE CHECK: must be installed: vcrun2013" "PLEASE CHECK"
+
+# Make game run
+POL_Wine_Direct3D "UseGLSL" "enabled"
+POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
+POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
+POL_Wine_Direct3D "Multisampling" "disabled"
+POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
+
+# Choose between install from local client or use already downloaded client
+POL_SetupWindow_InstallMethod "LOCAL,SKIP"
 
 # Downloading client or choosing existing one
-mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
-        # Downloading client
-        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
-        SETUP_EXE="$PWD/TERA-Setup.exe"
-else
-        # Asking for client exe
-        cd "$HOME"
-        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
-        SETUP_EXE="$APP_ANSWER"
+if [ "$INSTALL_METHOD" == "LOCAL" ]; then
+    # Asking for client exe
+    cd "$HOME"
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+    SETUP_EXE="$APP_ANSWER"
+
+    # Run the install
+    POL_Wine_WaitBefore "$TITLE"
+    POL_Wine $SETUP_EXE
+    POL_Wine_WaitExit "$TITLE"
+elif [ "$INSTALL_METHOD" == "SKIP" ]; then
+    :
 fi
-POL_Wine start /unix "$SETUP_EXE"
-POL_Wine_WaitExit "$TITLE"
-
-# Fix The Mouse Bug
-cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
-mv S1Engine.ini S1Engine.ini.bkp
-POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
 
-# Making shortcut
-POL_Shortcut "TERA-Launcher.exe" "Tera Online"
+# Deleting temp files
+POL_System_TmpDelete
 
+#Closing POL
 POL_SetupWindow_Close
 exit 0

New source code

#!/bin/bash
# Date : (2014-10-28 14:30)
# Last revision : (2016-05-16 00:00)
# Wine version used : 1.9.9
# Distribution used to test : Archlinux 2016-05
# Author : Nefelim4ag < at > gmail.com
# License : GNU/GPL v3

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="Nefelim4ag"
WORKING_WINE_VERSION="1.9.9"

# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Create TMP directory
POL_System_TmpCreate "$PREFIX"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Fix Installer crash
Set_OS "winxp"

# Isolation
POL_Install_PrivateUserDirs

# Install mandatory dependencies
# Needed for Tera launcher
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact

# Needed for Tera game
POL_Call POL_Install_xaudio

# Why it's not install????
POL_CALL POL_Install_vcrun2013

POL_SetupWindow_message "PLEASE CHECK: must be installed: vcrun2013" "PLEASE CHECK"

# Make game run
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"

# Choose between install from local client or use already downloaded client
POL_SetupWindow_InstallMethod "LOCAL,SKIP"

# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
    # Asking for client exe
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SETUP_EXE="$APP_ANSWER"

    # Run the install
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine $SETUP_EXE
    POL_Wine_WaitExit "$TITLE"
elif [ "$INSTALL_METHOD" == "SKIP" ]; then
    :
fi

# Deleting temp files
POL_System_TmpDelete

#Closing POL
POL_SetupWindow_Close
exit 0

Replies

Anonymous
Sunday 21 August 2016 at 8:52
I think it's a case-sensitivity issue causing you the problem. Try this:
Anonymous
Sunday 21 August 2016 at 8:52
POL_Call POL_Install_vcrun2013
nefelim4ag Monday 16 May 2016 at 11:09
nefelim4ag Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Hi guys, i try to write new and simple version of tera intaller

I've test it by hand on Tera RU.

Now, i will try test with script with Tera RU

Differences

@@ -1,21 +1,20 @@
 #!/bin/bash
-# Date : (2013-07-03 20:15)
-# Last Modification Date : (2014-11-04 21:18)
-# Wine version used : 1.7.17
-# Distribution used to test : Ubuntu 14.04 x64
-# Author : luyz25
+# Last revision : (2016-05-16 12:00)
+# Wine version used : 1.9.9
+# Distribution used to test : Archlinux 2016-05
+# Author : Nefelim4ag < at > gmail.com
+# License : GNU/GPL v3
 
-[ "$PLAYONLINUX" = "" ] && exit 0
+[ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
 
 TITLE="Tera Online"
 PREFIX="TERA"
 EDITOR="EN MASSE Entertainment"
 GAME_URL="http://tera.enmasse.com/"
-AUTHOR="luyz25"
+AUTHOR="Nefelim4ag"
 
 # Starting the script
-POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 1724
 
@@ -25,19 +24,17 @@
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
 # Setting Wine Version
-WORKING_WINE_VERSION="1.7.17"
-
-# Setting arch
-POL_System_SetArch "x86"
+WORKING_WINE_VERSION="1.9.9"
 
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
 
 # Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
-# Choose between Downloading client or using local one
-POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
+# Create TMP directory
+POL_System_TmpCreate "$PREFIX"
 
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
@@ -45,32 +42,43 @@
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
 
-# Installing mandatory dependencies
-POL_Call POL_Install_winhttp
+# Install mandatory dependencies
+# Needed for Tera launcher
+POL_Call POL_Install_d3dx9
+POL_Call POL_Install_corefonts
+POL_Call POL_Install_xact
+# Needed for Tera game
+POL_Call POL_Install_xaudio
+POL_CALL POL_Install_vcrun2013
+# Fix Installer crash
+Set_OS "winxp"
+
+# Choose between Downloading client or using local one or STEAM version
+POL_SetupWindow_InstallMethod "LOCAL"
 
 # Downloading client or choosing existing one
-mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
-        # Downloading client
-        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
-        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
-        SETUP_EXE="$PWD/TERA-Setup.exe"
-else
-        # Asking for client exe
-        cd "$HOME"
-        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
-        SETUP_EXE="$APP_ANSWER"
+if [ "$INSTALL_METHOD" == "LOCAL" ]; then
+    # Asking for client exe
+    cd "$HOME"
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+    SETUP_EXE="$APP_ANSWER"
 fi
-POL_Wine start /unix "$SETUP_EXE"
+
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine $SETUP_EXE
 POL_Wine_WaitExit "$TITLE"
 
-# Fix The Mouse Bug
-cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
-mv S1Engine.ini S1Engine.ini.bkp
-POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"
+# Fix Graphic bugs
+POL_Wine_Direct3D "UseGLSL" "enabled"
+POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
+POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
+POL_Wine_Direct3D "Multisampling" "disabled"
+POL_Wine_Direct3D "StrictDrawOrdering" "enabled"
 
-# Making shortcut
-POL_Shortcut "TERA-Launcher.exe" "Tera Online"
+# Deleting temp files
+POL_System_TmpDelete
 
+#Closing POL
 POL_SetupWindow_Close
 exit 0

New source code

#!/bin/bash
# Last revision : (2016-05-16 12:00)
# Wine version used : 1.9.9
# Distribution used to test : Archlinux 2016-05
# Author : Nefelim4ag < at > gmail.com
# License : GNU/GPL v3

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="Nefelim4ag"

# Starting the script
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting Wine Version
WORKING_WINE_VERSION="1.9.9"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Create TMP directory
POL_System_TmpCreate "$PREFIX"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Install mandatory dependencies
# Needed for Tera launcher
POL_Call POL_Install_d3dx9
POL_Call POL_Install_corefonts
POL_Call POL_Install_xact
# Needed for Tera game
POL_Call POL_Install_xaudio
POL_CALL POL_Install_vcrun2013
# Fix Installer crash
Set_OS "winxp"

# Choose between Downloading client or using local one or STEAM version
POL_SetupWindow_InstallMethod "LOCAL"

# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
    # Asking for client exe
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SETUP_EXE="$APP_ANSWER"
fi

# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"

# Fix Graphic bugs
POL_Wine_Direct3D "UseGLSL" "enabled"
POL_Wine_Direct3D "DirectDrawRenderer" "opengl"
POL_Wine_Direct3D "OffscreenRenderingMode" "fbo"
POL_Wine_Direct3D "Multisampling" "disabled"
POL_Wine_Direct3D "StrictDrawOrdering" "enabled"

# Deleting temp files
POL_System_TmpDelete

#Closing POL
POL_SetupWindow_Close
exit 0

Replies

Executum Thursday 28 April 2016 at 12:39
Executum Anonymous

Message

Au moment ou j'ouvre le launcher. 

 

0x1045a910: int    $3
Modules:
Module    Address            Debug info    Name (145 modules)
PE      400000-  4b7000    Deferred        tera-launcher
PE     93c0000- 93ed000    Deferred        copycub
PE     b810000- b848000    Deferred        launcher
PE     b850000- b8bb000    Deferred        patcher
PE     be40000- bef0000    Deferred        downloader
PE    10000000-113b2000    Export          libcef
PE    4ad00000-4b681000    Deferred        icudt
ELF    7b800000-7ba4b000    Deferred        kernel32<elf>
  \-PE    7b810000-7ba4b000    \               kernel32
ELF    7bc00000-7bcd0000    Dwarf           ntdll<elf>
  \-PE    7bc10000-7bcd0000    \               ntdll
ELF    7bf00000-7bf03000    Deferred        <wine-loader>
ELF    7cdaf000-7ce1e000    Deferred        d3dcompiler_43<elf>
  \-PE    7cdc0000-7ce1e000    \               d3dcompiler_43
ELF    7ce1e000-7ce34000    Deferred        libgpg-error.so.0
ELF    7ce34000-7cea9000    Deferred        libpcre.so.3
ELF    7cea9000-7cf58000    Deferred        libgcrypt.so.20
ELF    7cf58000-7cf7e000    Deferred        liblzma.so.5
ELF    7cf7e000-7cfa4000    Deferred        libselinux.so.1
ELF    7cfa4000-7d032000    Deferred        libsystemd.so.0
ELF    7d032000-7d03b000    Deferred        libffi.so.6
ELF    7d03b000-7d040000    Deferred        libkeyutils.so.1
ELF    7d040000-7d09a000    Deferred        libdbus-1.so.3
ELF    7d09a000-7d126000    Deferred        libgmp.so.10
ELF    7d126000-7d15b000    Deferred        libhogweed.so.4
ELF    7d15b000-7d197000    Deferred        libnettle.so.6
ELF    7d197000-7d1ac000    Deferred        libtasn1.so.6
ELF    7d1ac000-7d1e0000    Deferred        libidn.so.11
ELF    7d1e0000-7d242000    Deferred        libp11-kit.so.0
ELF    7d242000-7d273000    Deferred        libk5crypto.so.3
ELF    7d273000-7d34a000    Deferred        libkrb5.so.3
ELF    7d34a000-7d35e000    Deferred        libavahi-client.so.3
ELF    7d35e000-7d4b6000    Deferred        libgnutls.so.30
ELF    7d4b6000-7d508000    Deferred        libgssapi_krb5.so.2
ELF    7d508000-7d58f000    Deferred        libcups.so.2
ELF    7d598000-7d59f000    Deferred        libnss_dns.so.2
ELF    7d59f000-7d5b8000    Deferred        d3dx9_43<elf>
  \-PE    7d5a0000-7d5b8000    \               d3dx9_43
ELF    7d5b8000-7d69e000    Deferred        comdlg32<elf>
  \-PE    7d5c0000-7d69e000    \               comdlg32
ELF    7d69e000-7d6dd000    Deferred        winspool<elf>
  \-PE    7d6b0000-7d6dd000    \               winspool
ELF    7d6dd000-7d6ff000    Deferred        imm32<elf>
  \-PE    7d6e0000-7d6ff000    \               imm32
ELF    7d6ff000-7d712000    Deferred        psapi<elf>
  \-PE    7d700000-7d712000    \               psapi
ELF    7d712000-7d753000    Deferred        usp10<elf>
  \-PE    7d720000-7d753000    \               usp10
ELF    7d753000-7d766000    Deferred        msimg32<elf>
  \-PE    7d760000-7d766000    \               msimg32
ELF    7d766000-7d77d000    Deferred        userenv<elf>
  \-PE    7d770000-7d77d000    \               userenv
ELF    7d77d000-7d7e7000    Deferred        setupapi<elf>
  \-PE    7d790000-7d7e7000    \               setupapi
ELF    7d7e7000-7d900000    Deferred        oleaut32<elf>
  \-PE    7d800000-7d900000    \               oleaut32
ELF    7da00000-7da0d000    Deferred        libkrb5support.so.0
ELF    7da0d000-7da39000    Deferred        netapi32<elf>
  \-PE    7da10000-7da39000    \               netapi32
ELF    7da39000-7da67000    Deferred        secur32<elf>
  \-PE    7da40000-7da67000    \               secur32
ELF    7da67000-7da8c000    Deferred        mpr<elf>
  \-PE    7da70000-7da8c000    \               mpr
ELF    7da8c000-7db00000    Deferred        wininet<elf>
  \-PE    7daa0000-7db00000    \               wininet
ELF    7dc04000-7dc12000    Deferred        libavahi-common.so.3
ELF    7dc12000-7dca5000    Deferred        urlmon<elf>
  \-PE    7dc20000-7dca5000    \               urlmon
ELF    7dca5000-7dcc2000    Deferred        libgcc_s.so.1
ELF    7dceb000-7dd04000    Deferred        cryptnet<elf>
  \-PE    7dcf0000-7dd04000    \               cryptnet
ELF    7dd04000-7dd41000    Deferred        rsaenh<elf>
  \-PE    7dd10000-7dd41000    \               rsaenh
ELF    7dd41000-7dd74000    Deferred        uxtheme<elf>
  \-PE    7dd50000-7dd74000    \               uxtheme
ELF    7dd74000-7de6c000    Deferred        comctl32<elf>
  \-PE    7dd80000-7de6c000    \               comctl32
ELF    7de6c000-7de85000    Deferred        libresolv.so.2
ELF    7de89000-7de8e000    Deferred        libcom_err.so.2
ELF    7de95000-7deae000    Deferred        imagehlp<elf>
  \-PE    7dea0000-7deae000    \               imagehlp
ELF    7deae000-7ded2000    Deferred        iphlpapi<elf>
  \-PE    7deb0000-7ded2000    \               iphlpapi
ELF    7ded2000-7dee5000    Deferred        sensapi<elf>
  \-PE    7dee0000-7dee5000    \               sensapi
ELF    7df07000-7df0e000    Deferred        libxfixes.so.3
ELF    7df0e000-7df19000    Deferred        libxcursor.so.1
ELF    7df19000-7df2c000    Deferred        libxi.so.6
ELF    7df2c000-7df30000    Deferred        libxcomposite.so.1
ELF    7df30000-7df3d000    Deferred        libxrandr.so.2
ELF    7df3d000-7df49000    Deferred        libxrender.so.1
ELF    7df49000-7df50000    Deferred        libxxf86vm.so.1
ELF    7df50000-7df54000    Deferred        libxinerama.so.1
ELF    7df54000-7df5b000    Deferred        libxdmcp.so.6
ELF    7df5b000-7df5f000    Deferred        libxau.so.6
ELF    7df5f000-7df85000    Deferred        libxcb.so.1
ELF    7df85000-7e0d0000    Deferred        libx11.so.6
ELF    7e0d0000-7e0e5000    Deferred        libxext.so.6
ELF    7e10e000-7e199000    Deferred        winex11<elf>
  \-PE    7e120000-7e199000    \               winex11
ELF    7e199000-7e1c1000    Deferred        msacm32<elf>
  \-PE    7e1a0000-7e1c1000    \               msacm32
ELF    7e1c1000-7e23b000    Deferred        rpcrt4<elf>
  \-PE    7e1d0000-7e23b000    \               rpcrt4
ELF    7e23b000-7e351000    Deferred        ole32<elf>
  \-PE    7e250000-7e351000    \               ole32
ELF    7e351000-7e404000    Deferred        winmm<elf>
  \-PE    7e360000-7e404000    \               winmm
ELF    7e404000-7e4c8000    Deferred        crypt32<elf>
  \-PE    7e410000-7e4c8000    \               crypt32
ELF    7e4c8000-7e4fb000    Deferred        wintrust<elf>
  \-PE    7e4d0000-7e4fb000    \               wintrust
ELF    7e4fb000-7e535000    Deferred        winhttp<elf>
  \-PE    7e500000-7e535000    \               winhttp
ELF    7e535000-7e567000    Deferred        ws2_32<elf>
  \-PE    7e540000-7e567000    \               ws2_32
ELF    7e567000-7e5d7000    Deferred        shlwapi<elf>
  \-PE    7e580000-7e5d7000    \               shlwapi
ELF    7e5d7000-7e7f4000    Deferred        shell32<elf>
  \-PE    7e5e0000-7e7f4000    \               shell32
ELF    7e946000-7e96f000    Deferred        libexpat.so.1
ELF    7e96f000-7e9b8000    Deferred        libfontconfig.so.1
ELF    7e9b8000-7e9e3000    Deferred        libpng12.so.0
ELF    7e9e3000-7e9fc000    Deferred        libz.so.1
ELF    7e9fc000-7eaac000    Deferred        libfreetype.so.6
ELF    7ead5000-7eb3b000    Deferred        advapi32<elf>
  \-PE    7eae0000-7eb3b000    \               advapi32
ELF    7eb3b000-7ec49000    Deferred        gdi32<elf>
  \-PE    7eb50000-7ec49000    \               gdi32
ELF    7ec49000-7ed91000    Deferred        user32<elf>
  \-PE    7ec60000-7ed91000    \               user32
ELF    7ed91000-7eda4000    Deferred        libnss_files.so.2
ELF    7eda4000-7edb1000    Deferred        libnss_nis.so.2
ELF    7edb1000-7edcc000    Deferred        libnsl.so.1
ELF    7edcc000-7edd6000    Deferred        libnss_compat.so.2
ELF    7ede6000-7edff000    Deferred        version<elf>
  \-PE    7edf0000-7edff000    \               version
ELF    f7392000-f73e7000    Deferred        libm.so.6
ELF    f73e7000-f73ec000    Deferred        libdl.so.2
ELF    f73ec000-f75a2000    Dwarf           libc.so.6
ELF    f75a2000-f75bf000    Dwarf           libpthread.so.0
ELF    f75e0000-f75e9000    Deferred        librt.so.1
ELF    f75e9000-f779c000    Dwarf           libwine.so.1
ELF    f779e000-f77c3000    Deferred        ld-linux.so.2
ELF    f77c5000-f77c6000    Deferred        [vdso].so
Threads:
process  tid      prio (all id:s are in hex)
0000000e services.exe
    0000001d    0
    0000001c    0
    00000014    0
    00000010    0
    0000000f    0
00000012 winedevice.exe
    0000001b    0
    00000018    0
    00000017    0
    00000013    0
00000019 plugplay.exe
    0000001f    0
    0000001e    0
    0000001a    0
00000020 TERA-Setup.exe
    00000027    0
    00000026    0
    00000025    0
    00000021    0
00000022 explorer.exe
    00000023    0
00000047 (D) C:\Program Files\TERA\TERA-Launcher.exe
    00000061    0
    00000060    0
    0000005f    0
    0000005c    0
    0000005b    0
    0000005a    0
    00000059    0
    00000058    0
    00000053    0
    00000051    0
    00000050    0
    0000004f    0
    0000004e    0
    0000004d    0
    0000004c    0 <==
    0000004b    0
    0000004a    0
    00000049    0
    00000048    0
    00000024    0
    00000046    0
    00000043    0
    00000042    0
    00000037    0
    00000036    0
    00000035    0
    00000034    0
    00000033    0
    00000032    0
    00000031    0
    00000030    0
    0000002f    0
    0000002e    0
    00000009    0
    0000000b    0
    0000000d    0
    0000000c    0
System information:
    Wine build: wine-1.7.17
    Platform: i386
    Host system: Linux
    Host version: 4.4.0-21-generic

 

Replies

DiscipleOfDante Monday 12 October 2015 at 16:04
DiscipleOfDante Anonymous

Message

I open the launcher and it almost immediately crashes. I ran debug but the output seems like pure GobbledyGook. I am running a fully up-to-date Chakra Linux install with Plasma 5. I have tried pretty much every WINE version out there with the same results. Here is my debugger output http://hastebin.com/isufavayov.avrasm

Replies

Saturday 24 October 2015 at 23:57
The game is broken on all wine versions without several patches. New update did this.
Saturday 24 October 2015 at 23:57
https://appdb.winehq.org/objectManager.php?sClass=version&iId=26128
semper Friday 4 September 2015 at 14:19
semper Anonymous

Message

Bonjour à vous,

j esaye d installer tera online sur arch linux avec une interface cinnamon.

Ma vesion de Pol est : 4.2.8

je n'ai aucun problème à l installation puis quand le jeux se lance l'interface du jeux disparait de mon ecran. Je peut uniquement la voir dans les bureaux virtuels mais des que je clique dessus elle disparait, je me retrouve sur mon bureau avec le curssur du jeux uniquement et bien sur mon bureau normal.

J'ai fait un essais avec un bureau gnome la j'arrive sur le jeux mais des que je clique sur un personnage pour le selectionner le probleme est le meme.
Merci d'avance pour vos suggestion et votre aide.

Replies

kassiotelles Friday 24 July 2015 at 23:43
kassiotelles Anonymous

Message

[0724/184137:FATAL:x509_certificate_win.cc(1109)] Check failed: oid_info. : Sucesso.
wine: Unhandled exception 0x80000003 in thread 36 at address 0x1045a910 (thread 0036), starting debugger...

 

I do not know what else to try to correct this error

Replies

Satsuryokoi Saturday 30 May 2015 at 13:27
Satsuryokoi Anonymous

Message

L'installateur POL ne fonctionne pas pour tera mais si on passe par l'instalateur de AION, on telecharge gameforge, à partir de gameforge on peu installer TERA.

Le jeu se lance mais il y a un problème que je ne peut pas resoudre, quand je prend une quete le jeu plante sans la prendre. 

J'aimerais savoir si quelqu'un a reussi a faire tourner le jeu correctement, cordialement.

 

Replies

zaylman Wednesday 29 April 2015 at 19:27
zaylman Anonymous

Message

Has anybody had any success with this? I really want to move to Ubuntu Gnome but I want to conitune playing tera and I don't want to dual boot.

Replies

vulpineblazeyt Thursday 9 April 2015 at 0:56
vulpineblazeyt Anonymous

Message

I am having this below error when trying to run Tera:

I was able to install and I see the login screen and I breifly see that the game attempts and/or succesfully updates, then it crashes. Pasted below is the debug output. 


[04/08/15 15:53:55] - Running wine-1.7.17 TERA-Launcher.exe (Working directory : /home/quaid/.PlayOnLinux/wineprefix/TERA/drive_c/Program Files/TERA)
fixme:nls:CompareStringEx semi-stub behavor for flag(s) 0x10000000
fixme:nls:CompareStringEx semi-stub behavor for flag(s) 0x10000000
fixme:nls:CompareStringEx semi-stub behavor for flag(s) 0x10000000
fixme:nls:CompareStringEx semi-stub behavor for flag(s) 0x10000000
fixme:nls:CompareStringEx semi-stub behavor for flag(s) 0x10000000
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:iphlpapi:NotifyAddrChange (Handle 0x32cbbc, overlapped 0xffb530): stub
fixme:winsock:WSALookupServiceBeginW (0x32cc68 0x00000ff0 0x32cca4) Stub!
[0408/155356:ERROR:network_change_notifier_win.cc(111)] WSALookupServiceBegin failed with: 8
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
fixme:winhttp:WinHttpDetectAutoProxyConfigUrl discovery via DHCP not supported
fixme:crypt:CertContext_SetProperty 70: stub
[0408/155400:FATAL:x509_certificate_win.cc(1109)] Check failed: oid_info. : Success.
wine: Unhandled exception 0x80000003 in thread 32 at address 0x1045a910 (thread 0032), starting debugger...
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}

Replies

lordgiddion Tuesday 3 March 2015 at 14:59
lordgiddion Anonymous

Message

Is there any work around for the current crashing of the patcher? I tried copying a full tera install from a windows machine that was already patched and it still won't launch.

Replies

Anonymous
Friday 6 March 2015 at 18:51
I don't know if it's related or not, but on a PC I tried to install TERA in the same path C:/program files/TERA and kept getting a not enough drive space error until I had the launcher run as admin.
Anonymous
Friday 6 March 2015 at 20:05
This seems to be the relivant error:
Anonymous
Friday 6 March 2015 at 20:06
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution. Found a mention of this in another forum topic and I'm trying that work around https://www.playonmac.com/en/topic-11851.html
Anonymous
Friday 6 March 2015 at 20:56
Copied ntdll.dll.so as that thread, ntlm_auth error gone but new error is :
wine: Unhandled page fault on read access to 0x00000004 at address 0x409bbe (thread 0009), starting debugger...
err:display:macdrv_ChangeDisplaySettingsEx No matching mode found 1920x1200x32 @60!
Unhandled exception: page fault on read access to 0x00000004 in 32-bit code (0x00409bbe).
Ysls93 Saturday 21 February 2015 at 4:58
Ysls93 Anonymous

Message

Does this stand for USA Tera? or EU Tera?

Replies

Anonymous
Sunday 22 February 2015 at 2:23
NA Tera
Anonymous
Sunday 22 February 2015 at 18:09
Aww :(
Anonymous
Sunday 22 February 2015 at 18:10
Would be so cool if someone could make this for the EU Tera version :x
Anonymous
Sunday 22 February 2015 at 18:10
Would be so cool if someone could make this for the EU Tera version :x
FoxXav Wednesday 11 February 2015 at 20:34
FoxXav Anonymous

Message

Hi,

 

I have the same issue as tarner. it seems the last big update of TERA changes some stuff so the launcher crash after displaying the login form.

 

Hope something can be done :-)

 

See you

Replies

online0227 Wednesday 4 February 2015 at 14:23
online0227 Anonymous

Message

The Tera Launcher is unable to load the downloader.dll or patcher.dll file.
ErrorMessage: Interop load failed.
If this problem persists please visit support.enmasse.com/tera for additional help

---
I get above error when launcher occurs.. any fix?

Replies

antek Sunday 18 January 2015 at 15:32
antek Anonymous

Message

Bonjour,

j'ai réussi à télécharger le setup de tera, mais dès que je le lance, il plante, j'ai essayé les solutions données sur cette page, y compris le code donné par l'auteur, sans résultat, j'aimerais donc savoir si vous connaissez une solution à ce probléme, merci.

Replies

tarner Thursday 15 January 2015 at 13:50
tarner Anonymous

Message

i installed through playonlinux and the launcher crashes after the login window pops up, i tried to solve using the guide in the luyz25's post (certificate), but the problem is not solved, help me pls :)

 

Replies

Anonymous
Thursday 15 January 2015 at 13:52
this is the error: http://pastebin.com/VTpjJwmA
Anonymous
Thursday 26 February 2015 at 22:15
I'm seeing the same problem on a fresh install of Tera.
luyz25 Friday 14 November 2014 at 22:56
luyz25

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -27,6 +27,9 @@
 # Setting Wine Version
 WORKING_WINE_VERSION="1.7.17"
 
+# Setting arch
+POL_System_SetArch "x86"
+
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
 

New source code

#!/bin/bash
# Date : (2013-07-03 20:15)
# Last Modification Date : (2014-11-04 21:18)
# Wine version used : 1.7.17
# Distribution used to test : Ubuntu 14.04 x64
# Author : luyz25

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="luyz25"

# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting Wine Version
WORKING_WINE_VERSION="1.7.17"

# Setting arch
POL_System_SetArch "x86"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Installing mandatory dependencies
POL_Call POL_Install_winhttp

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
        SETUP_EXE="$PWD/TERA-Setup.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
POL_Wine start /unix "$SETUP_EXE"
POL_Wine_WaitExit "$TITLE"

# Fix The Mouse Bug
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
mv S1Engine.ini S1Engine.ini.bkp
POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"

# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"

POL_SetupWindow_Close
exit 0

Replies

Friday 14 November 2014 at 23:49
EDIT: Actually, as noted by Petch, this does not need to be specified, as it is set to 32-bit by default. 
Anonymous
Saturday 15 November 2014 at 1:07
Nope, by default POL detects your architecture and try 64bits
Saturday 15 November 2014 at 2:35
I'm positive the architecture used is 32bit when POL_System_SetArch is not used. That's not too difficult, I almost never use it (maybe in one or two scripts), only have 64bit hardware, and it resulted in 32bit installations for the 3 years I've been using PoL, so it's quite solid.
Saturday 15 November 2014 at 2:42
I'm ok with adding POL_System_SetArch "x86" to a script though, as some kind of documentation that it has been (unsuccessfully) tried in 64bit
Saturday 15 November 2014 at 8:39
(just want to note that on Chrome, I cannot access the edit/approve functions on this page. I have to zoom out a lot to make them clickable).

I am fairly certain that it should default to x86, simply because I do not ever declare that in scripts, and it just goes to 32-bit. I always check on 64-bit systems, too.

I agree that adding it here would be appropriate, but I am wondering why this would default to 64-bit. I have never seen that in practice.
luyz25 Thursday 6 November 2014 at 12:47
luyz25

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -27,6 +27,9 @@
 # Setting Wine Version
 WORKING_WINE_VERSION="1.7.17"
 
+# Setting arch
+POL_System_SetArch "x32"
+
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
 

New source code

#!/bin/bash
# Date : (2013-07-03 20:15)
# Last Modification Date : (2014-11-04 21:18)
# Wine version used : 1.7.17
# Distribution used to test : Ubuntu 14.04 x64
# Author : luyz25

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="luyz25"

# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting Wine Version
WORKING_WINE_VERSION="1.7.17"

# Setting arch
POL_System_SetArch "x32"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Installing mandatory dependencies
POL_Call POL_Install_winhttp

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
        SETUP_EXE="$PWD/TERA-Setup.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
POL_Wine start /unix "$SETUP_EXE"
POL_Wine_WaitExit "$TITLE"

# Fix The Mouse Bug
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
mv S1Engine.ini S1Engine.ini.bkp
POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"

# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"

POL_SetupWindow_Close
exit 0

Replies

Thursday 6 November 2014 at 12:48
Need to force arch to 32 bits. working better if arch 32 bits
Thursday 6 November 2014 at 13:27
x32 is not a valid architecture for POL_System_SetArch; Furthermore,
POL_System_SetArch "x86"
is the default, so it doesn't need to be specified
petch Tuesday 4 November 2014 at 21:18
petch

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Force use of 32bit Wine

Differences

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2013-07-03 20:15)
-# Last Modification Date : (2014-05-27 22:25)
+# Last Modification Date : (2014-11-04 21:18)
 # Wine version used : 1.7.17
 # Distribution used to test : Ubuntu 14.04 x64
 # Author : luyz25
@@ -31,7 +31,6 @@
 POL_Wine_SelectPrefix "$PREFIX"
 
 # Downloading wine if necessary and creating prefix
-POL_System_SetArch "auto"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
 # Choose between Downloading client or using local one

New source code

#!/bin/bash
# Date : (2013-07-03 20:15)
# Last Modification Date : (2014-11-04 21:18)
# Wine version used : 1.7.17
# Distribution used to test : Ubuntu 14.04 x64
# Author : luyz25

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="luyz25"

# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting Wine Version
WORKING_WINE_VERSION="1.7.17"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Installing mandatory dependencies
POL_Call POL_Install_winhttp

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
        SETUP_EXE="$PWD/TERA-Setup.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
POL_Wine start /unix "$SETUP_EXE"
POL_Wine_WaitExit "$TITLE"

# Fix The Mouse Bug
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
mv S1Engine.ini S1Engine.ini.bkp
POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"

# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"

POL_SetupWindow_Close
exit 0

Replies

Wednesday 5 November 2014 at 4:28
Ah. I see what that previous ticket was about. I never play this game, so I didn't know if this was an actual bug, and was waiting on more input from the user. Lol. Sorry about that. ;)
Friday 14 November 2014 at 21:19
Thanks for the update Petch. Is the PoL client script automatically updated or do I need to manually use this somehow? I would be happy to test it.
randym Tuesday 4 November 2014 at 10:10
randym

Message

The auto arch is defaulting to an x64 prefix. I don't think this is working. According to the winehq entry is should be installed in a 32bit prefix, although I still can't get it running with a manual install in a 32bit prefix.

The launcher constantly crashes before I can authenticate or try and patch. Any thoughts?

Replies

luyz25 Thursday 25 September 2014 at 4:18
luyz25

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I added the winhttp in installation.

If the problem of the launcher continues, do this steps:

Add certificate:

1.  cd /usr/share/ca-certificates/
2. sudo mkdir custom
3. sudo touch /usr/share/ca-certificates/custom/Thawte_CS_CA_G2.crt
4. Open with your editor of choice, for me it's leafpad:  gksudo leafpad /usr/share/ca-certificates/custom/Thawte_CS_CA_G2.crt
5.  Paste in the following:
-----BEGIN CERTIFICATE-----
MIIEnDCCA4SgAwIBAgIQR5dNeHOlvKsNL7NwGS/OXjANBgkqhkiG9w0BAQUFADCB
qTELMAkGA1UEBhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjEoMCYGA1UECxMf
Q2VydGlmaWNhdGlvbiBTZXJ2aWNlcyBEaXZpc2lvbjE4MDYGA1UECxMvKGMpIDIw
MDYgdGhhd3RlLCBJbmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxHzAdBgNV
BAMTFnRoYXd0ZSBQcmltYXJ5IFJvb3QgQ0EwHhcNMTAwMjA4MDAwMDAwWhcNMjAw
MjA3MjM1OTU5WjBKMQswCQYDVQQGEwJVUzEVMBMGA1UEChMMVGhhd3RlLCBJbmMu
MSQwIgYDVQQDExtUaGF3dGUgQ29kZSBTaWduaW5nIENBIC0gRzIwggEiMA0GCSqG
SIb3DQEBAQUAA4IBDwAwggEKAoIBAQC3i891W58l2n45sJPbONOpI9CC+ukkflwL
joP45npZ5qPFmKeZ0kT/AKalOQSK2imI6tui8xyZFSbCsfT84QxHqQkRBgogkrnH
oASMXJQZq1slLB1ifnANzmFs3SuCyc5dSF/3wr68QSMeTyld10+89MUq/GPmfCZO
mad5QZ4QSnp5ycaG94aV0ibOPBgq1nzOr82tu/eCLHAmN0XlD0cixgEovS6DXGqk
R8Hn0NhrgUY/IRf1B8VDWqZnLLh7YBG1g+71dApycUQ9WP7oGqs4w1nbf244fXbH
cmmYNpZX02Yc0lSRBC5UGbDcPbUiXobVKn4g313merFl/sUCTjEtAgMBAAGjggEc
MIIBGDASBgNVHRMBAf8ECDAGAQH/AgEAMDQGA1UdHwQtMCswKaAnoCWGI2h0dHA6
Ly9jcmwudGhhd3RlLmNvbS9UaGF3dGVQQ0EuY3JsMA4GA1UdDwEB/wQEAwIBBjAy
BggrBgEFBQcBAQQmMCQwIgYIKwYBBQUHMAGGFmh0dHA6Ly9vY3NwLnRoYXd0ZS5j
b20wHQYDVR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMDMCkGA1UdEQQiMCCkHjAc
MRowGAYDVQQDExFWZXJpU2lnbk1QS0ktMi0xMDAdBgNVHQ4EFgQU1A1lP3q9NMb+
R+dMDcC98t4Vq3EwHwYDVR0jBBgwFoAUe1tFz6/Oy3r9MZIaarbzRutXSFAwDQYJ
KoZIhvcNAQEFBQADggEBAFb+U1zhx568p+1+U21qFEtRjEBegF+qpOgv7zjIBMnK
Ps/fOlhOsNS2Y8UpV/oCBZpFTWjbKhvUND2fAMNay5VJpW7hsMX8QU1BSm/Td8jX
OI3kGd4Y8x8VZYNtRQxT+QqaLqVdv28ygRiSGWpVAK1jHFIGflXZKWiuSnwYmnmI
ayMj2Cc4KimHdsr7x7ZiIx/telZM3ZwyW/U9DEYYlTsqI2iDZEHZAG0PGSQVaHK9
xXFnbqxM25DrUaUaYgfQvmoARzxyL+xPYT5zhc5aCre6wBwTdeMiOSjdbR0JRp1P
uuhAgZHGpM6UchsBzypuFWeVia59t7fN+Qo9dbZrPCU=
-----END CERTIFICATE-----
6. Save.
6b. (optional)  I also did the following though I'm fairly certain it's not necessary:
cd /usr/share/ca-certificates/custom
sudo chmod -R 775 ./
7. sudo su
8. echo “custom/Thawte_CS_CA_G2.crt” >> /etc/ca-certificates.conf
9. Exit su
exit
10. Open /etc/ca-certificates.conf and delete the quotation marks around custom/Thawte_CS_CA_G2.crt at the very bottom.  So it goes from "custom/Thawte_CS_CA_G2.crt" to custom/Thawte_CS_CA_G2.crt
11. sudo update-ca-certificates

Retrieved from: https://appdb.winehq.org/objectManager.php?sClass=version&iId=26128

Differences

@@ -43,6 +43,9 @@
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
 
+# Installing mandatory dependencies
+POL_Call POL_Install_winhttp
+
 # Downloading client or choosing existing one
 mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
 if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then

New source code

#!/bin/bash
# Date : (2013-07-03 20:15)
# Last Modification Date : (2014-05-27 22:25)
# Wine version used : 1.7.17
# Distribution used to test : Ubuntu 14.04 x64
# Author : luyz25

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Tera Online"
PREFIX="TERA"
EDITOR="EN MASSE Entertainment"
GAME_URL="http://tera.enmasse.com/"
AUTHOR="luyz25"

# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top-new.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left-new.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 1724

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting Wine Version
WORKING_WINE_VERSION="1.7.17"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
POL_System_SetArch "auto"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Installing mandatory dependencies
POL_Call POL_Install_winhttp

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Downloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA"
        POL_Download "http://patch.tera.enmasse-game.com/TERA-Setup.exe" "ee7e966a34d03b064d8bcf8188a222a3"
        SETUP_EXE="$PWD/TERA-Setup.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
POL_Wine start /unix "$SETUP_EXE"
POL_Wine_WaitExit "$TITLE"

# Fix The Mouse Bug
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/TERA/Client/S1Game/Config/"
mv S1Engine.ini S1Engine.ini.bkp
POL_Download "https://dl.dropboxusercontent.com/u/64225173/S1Engine.ini" "955be01c4c34445d7dde2c2b5e13cda6"

# Making shortcut
POL_Shortcut "TERA-Launcher.exe" "Tera Online"

POL_SetupWindow_Close
exit 0

Replies

Anonymous
Wednesday 3 June 2015 at 13:13
How to do it Manjaro (Arch Linux)?
Gelly Thursday 18 September 2014 at 4:51
Gelly Anonymous

Message

Hi I hope you can resolve this problem ASAP as you should listen to the customer's voice and Tera Online is a game that MANY mac/linux users are eager for. Again, the community's voice is what makes you guys grow and develop. 

So basically, I have successfully installed the Tera-launcher.exe and it can open, however, after a few seconds apon opening it pops up a window saying "The Program Tera-Launcher.exe has encountered a serious problem and needs to close. We are sorry for the inconvenience." I don't know how to solve this issue and I hope someone can help me. Thank you. 

Replies

sam666 Sunday 14 September 2014 at 19:04
sam666 Anonymous

Message

Bonjour,

 

J'ai eu plusieurs erreurs en tentant de l'installer via le POL script, notamment :

- Pendant l'update j'ai un "unable to download manifest"

- Même chose mais avec "unable to unzip manifest"

- Et quand je change le launcher par celui fournit gracieusement par un des gamers, il me sort "unknown file error"

J'ai essayé toutes les solutions proposés par leur support ET celui de la communauté présente sur le forum TERA, notamment :

- Ajouté/Retiré l'ip du serveur patch du /etc/hosts

- Modifié les entrées DNS du fichier /etc/resolv.conf

- Supprimer le Cache (%appdata%/TERA), supprimer les fichiers Live-*.version, et pleins d'autres choses.

Après plusieurs heures de bataille, j'ai trouvé une solution simple : 

Je suis passé par l'installeur GameForge Live utilisé dans le jeu AEION présent sur POL. Cet installeur propose différent jeux dont *TERA*, il est indépendant de l'installeur de TERA.


A noter que le problème de manifest est apparu mais cette fois-ci correctement corrigé en ajoutant l'ip du serveur patch dans le /etc/hosts ;) 

A bon entendeurs.

Ciao.

Replies

Anonymous
Thursday 28 May 2015 at 13:14
J'ai installé Tera à l'aide de l’installateur de AION, il n'y a qu'un gros problème, lorsque je prend la toute première quête le jeu se ferme sans message d'erreur , le problème subsiste peu importe le personnage utilisé ou le serveur, cordialement.
Enkouyami Friday 4 July 2014 at 1:20
Enkouyami

Message

I'ts a good looking script, but The Tera Online launcher keeps crashing and the login window doesn't always show up, which are probable a bug in the launcher and wine.

 

Here's l og of that happened when I installed it:

http://pastebin.com/tbCRR9XT

 

Here'es what happened when I tried to install it without the script:

http://www.mediafire.com/view/rdikjxq1b3v7g1g/playonlinux.log

 

I made a wine bug report with backtraces here:

http://bugs.winehq.org/show_bug.cgi?id=36845

Replies